-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: kpatch-patch security update
Advisory ID:       RHSA-2022:1373-01
Product:           Red Hat Enterprise Linux
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:1373
Issue date:        2022-04-13
CVE Names:         CVE-2021-0920 CVE-2021-4028 CVE-2021-4083 
                   CVE-2022-22942 
=====================================================================

1. Summary:

An update is now available for Red Hat Enterprise Linux 7.7 Update Services
for SAP Solutions.

Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux Server E4S (v. 7.7) - ppc64le, x86_64

3. Description:

This is a kernel live patch module which is automatically loaded by the RPM
post-install script to modify the code of a running kernel.

Security Fix(es):

* kernel: Use After Free in unix_gc() which could result in a local
privilege escalation (CVE-2021-0920)

* kernel: use-after-free in RDMA listen() (CVE-2021-4028)

* kernel: fget: check that the fd still exists after getting a ref to it
(CVE-2021-4083)

* kernel: failing usercopy allows for use-after-free exploitation
(CVE-2022-22942)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2027201 - CVE-2021-4028 kernel: use-after-free in RDMA listen()
2029923 - CVE-2021-4083 kernel: fget: check that the fd still exists after getting a ref to it
2031930 - CVE-2021-0920 kernel: Use After Free in unix_gc() which could result in a local privilege escalation
2044809 - CVE-2022-22942 kernel: failing usercopy allows for use-after-free exploitation

6. Package List:

Red Hat Enterprise Linux Server E4S (v. 7.7):

Source:
kpatch-patch-3_10_0-1062_49_1-1-6.el7.src.rpm
kpatch-patch-3_10_0-1062_51_1-1-6.el7.src.rpm
kpatch-patch-3_10_0-1062_52_2-1-5.el7.src.rpm
kpatch-patch-3_10_0-1062_56_1-1-4.el7.src.rpm
kpatch-patch-3_10_0-1062_59_1-1-2.el7.src.rpm
kpatch-patch-3_10_0-1062_60_1-1-2.el7.src.rpm
kpatch-patch-3_10_0-1062_61_1-1-2.el7.src.rpm
kpatch-patch-3_10_0-1062_63_1-1-1.el7.src.rpm

ppc64le:
kpatch-patch-3_10_0-1062_49_1-1-6.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_49_1-debuginfo-1-6.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_51_1-1-6.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_51_1-debuginfo-1-6.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_52_2-1-5.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_52_2-debuginfo-1-5.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_56_1-1-4.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_56_1-debuginfo-1-4.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_59_1-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_59_1-debuginfo-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_60_1-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_60_1-debuginfo-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_61_1-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_61_1-debuginfo-1-2.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_63_1-1-1.el7.ppc64le.rpm
kpatch-patch-3_10_0-1062_63_1-debuginfo-1-1.el7.ppc64le.rpm

x86_64:
kpatch-patch-3_10_0-1062_49_1-1-6.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_49_1-debuginfo-1-6.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_51_1-1-6.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_51_1-debuginfo-1-6.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_52_2-1-5.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_52_2-debuginfo-1-5.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_56_1-1-4.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_56_1-debuginfo-1-4.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_59_1-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_59_1-debuginfo-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_60_1-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_60_1-debuginfo-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_61_1-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_61_1-debuginfo-1-2.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_63_1-1-1.el7.x86_64.rpm
kpatch-patch-3_10_0-1062_63_1-debuginfo-1-1.el7.x86_64.rpm

These packages are GPG signed by Red Hat for security.  Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2021-0920
https://access.redhat.com/security/cve/CVE-2021-4028
https://access.redhat.com/security/cve/CVE-2021-4083
https://access.redhat.com/security/cve/CVE-2022-22942
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBYldLl9zjgjWX9erEAQisig/9FOKzWyDisyLXTtxuFG8MtHJzSy6AVaqd
1Dqc9LvEP5hn/0ylmSj9YGwuVrRdHVZFKmjc63Un7gVDsRlUpnaJHZ4RS8PJvA1A
v0IooGXmh1AwD+rxeyEFaOqU9zJxp0S13+F/QQRNUnxucDYker9R65NQKDwF8Poe
brr3dKyX7nHCpBHAyZgAidlhxDGJI3Sx7RECyeelpoa/tUzvsSY3STLgIqMAFG4+
N2ieO/CIUFmhOmcFzSuP5GYZH+L3rpk8FiuEbsZumBQX/BozblH+iuPwIpKyRNMj
C8b0Qt9JvTKIxZmaV9mWI1Sf3SDrXFQvUQzqqb7DItiV0GrJOPSHEpb6rUY9DDCt
tPkA+U/2FjiaBOUEH2eIfZg2luZYncROV2D0AiGa64cnDLveeQKip12QtpIjgeMx
/B8zyXFkKtbj8TGajD+NWuGzMsjwYJrqY0ssJnDzCm+cLKtqK9lf4F+ILAi/gYV0
SrunTspxsWOQUKTdjkLBCEUzepIzpHdt6YtgsfhOjBgTn7jMoadHetcVtxAeM2l8
/xNrgwD+buon7REDJ1jX45UG0n5PQ95nlql3rUarrV/gZnQ7YsSPG42dWcoUcKUL
sEucWZJkcgPx08WTXGlLpdAevXRfHE1+aAly3Hfs0cX+Tq0VtvvHWCzNK3+blBax
W3u+fDVUJEU=
=jAR8
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce